Subject: Re: [PATCH 4/9] pasemi_mac: Use MMIO instead of pci config accessors

From: Jeff Garzik <[email-masked]>
Date: Mon, 02 Jul 2007 08:37:08 -0400

Olof Johansson wrote:
> Move away from using the pci config access functions for simple register
> access.  Our device has all of the registers in the config space (hey,
> from the hardware point of view it looks reasonable :-), so we need to
> somehow get to it. Newer firmwares have it in the device tree such that
> we can just get it and ioremap it there (in case it ever moves in future
> products). For now, provide a hardcoded fallback for older firmwares.
> 
> 
> Signed-off-by: Olof Johansson <[email-masked]>

patches 4-9 seen sane.  dropped due to previous patches being dropped